﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WinControlContainerEditor
{
    public class MyClass : INotifyPropertyChanged
    {
        string value1;
        public string Value1
        {
            get { return value1; }
            set {
                if (value != this.value1)
                {
                    this.value1 = value;
                    NotifyPropertyChanged("Value1");
                }
                }
        }
        
        
        string value2;
        public string Value2
        {
            get { return value2; }
            set
            {
                if (value != this.value2)
                {
                    this.value2 = value;
                    NotifyPropertyChanged("Value2");
                }
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion
    }
}
